#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int x,n;
    cin >> n >> x;
    int minimum=INT_MAX,maksimum=INT_MIN;
    int temp;
    for(int i=0;i<n;i++)
    {
        cin >> temp;
        if(temp>maksimum)
        {
            maksimum=temp;
        }
        if(temp<minimum)
        {
            minimum=temp;
        }
    }
    int dist=maksimum-minimum;
    int resenje;
    if(x<minimum)
    {
        resenje=minimum-x+dist;
    }
    else if(minimum<x && maksimum>x)
    {
        if((x-minimum)>(maksimum-x))resenje = maksimum-x+dist;
        else resenje = x-minimum+dist;
    }
    else if(x>maksimum)
    {
        resenje=x-maksimum+dist;
    }

    cout << resenje;
    return 0;
}